Bug 89955 - Audio CD creation incompatible with cdrecord 2.0
Audio CD creation incompatible with cdrecord 2.0
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: gtoaster (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 06:49 EDT by Craig Lawson
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Lawson 2003-04-30 06:49:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
gtoaster somehow passes remarkably bad options to cdrecord, causing the write to
fail and the media to be damaged beyond recovery: instant coasters.


Version-Release number of selected component (if applicable):
gtoaster-1.0beta6-4, cdrecord-2.0-6

How reproducible:
Always

Steps to Reproduce:
1. Configure gtoaster to create an audio CD.
2. At at least one .wav file to the track editor.
3. Insert blank media into ATAPI/SCSI-emulation CD writer.
4. Start recording.
    

Actual Results:
From the client output area in gtoaster:

GnomeToaster Recording Terminal
Recording 748839168 bytes to CD
GnomeToaster is calling the following command:
cdrecord dev=0,0,0 speed=16 -audio tsize=51132480 /media/tmp/gtoaster -audio
tsize=76851600 /media/tmp/gtoaster -audio tsize=66110016 /media/tmp/gtoaster
-audio tsize=39991056 /media/tmp/gtoaster -audio tsize=56003472
/media/tmp/gtoaster -audio tsize=44050608 /media/tmp/gtoaster -audio
tsize=82437600 /media/tmp/gtoaster -audio tsize=42493584 /media/tmp/gtoaster
-audio tsize=35051856 /media/tmp/gtoaster -audio tsize=48009024
/media/tmp/gtoaster -audio tsize=33257280 /media/tmp/gtoaster -audio
tsize=26149536 /media/tmp/gtoaster -audio tsize=36044400 /media/tmp/gtoaster
-audio tsize=35628096 /media/tmp/gtoaster -audio tsize=38949120
/media/tmp/gtoaster -audio tsize=36679440 /media/tmp/gtoaster
Cdrecord 2.0 (i686-pc-linux-gnu) Copyright (C) 1995-2002 J�rg Schilling
Using libscg version 'schily-0.7'
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'PLEXTOR '
Identifikation : 'CD-R   PX-W1610A'
Revision       : '1.03'
Device seems to be: Generic mmc CD-RW.
Using generic SCSI-3/mmc CD-R driver (mmc_cdr).
Driver flags   : MMC SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
scsidev: '0,0,0'
scsibus: 0 target: 0 lun: 0
Linux sg driver version: 3.1.24
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.75-RH '@(#)scsi-linux-sg.c	1.75 02/10/21 Copyright 1997 J.
Schilling').
Starting to write CD/DVD at speed 16 in real TAO mode for single session.
Last chance to quit, starting real write in 9 seconds.   8 seconds.   7 seconds.
  6 seconds.   5 seconds.   4 seconds.   3 seconds.   2 seconds.   1 seconds.  
0 seconds. Operation starts.cdrecord: Input/output error. write_g1: scsi
sendcmd: no error
CDB:  2A 00 00 00 03 2A 00 00 1B 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: F0 00 03 00 00 03 C4 0A 00 00 00 00 0C 09 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x0C Qual 0x09 (write error - loss of streaming) Fru 0x0
Sense flags: Blk 964 (valid) 
cmd finished after 0.026s timeout 40s
Sense Bytes: 70 00 00 00 00 00 00 0A 00 00 00 00 00 00 00 00 00 00

write track data: error after 1905120 bytes

Child exited unexpectedly.
CD recording process finished.


Expected Results:
I expected the CD burn to proceed smoothly. No SCSI emulation errors.


Additional info:

Once gtoaster fails with a particular media, all further attempts with that
media will fail, even when cdrecord is invoked directly from the command line.
The media has been damaged (CD-R, not CD-RW).

Invoking cdrecord on the command line with similar arguments that gtoaster uses
(hard to say exactly, as it hides filenames and who knows what else), produces a
good CD burn every time.

Removing the "tsize" option from the gtoaster recorder preferences allows
gtoaster to proceed further (in dummy mode), but cdrecord hangs indefinitely in
the fixating stage. Does not happen when invoked from the command line.
Comment 1 Bill Nottingham 2006-08-05 00:50:06 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 14:07:25 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.